From 1e5edd84cea5cac4dea2c488cea47766c1a33745 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Thu, 25 Nov 2021 18:33:30 +0100
Subject: [PATCH] Add WITH_X11 switch

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index fa699213..f928bf8b 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -58,6 +58,7 @@ find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets
 set(CALENDARUTILS_LIB_VERSION "5.19.40")
 
 option(FILE_RESOURCES "Use file system resources instead of Akonadi resources." TRUE)
+option(WITH_X11 "Build with X11 support" TRUE)
 
 # Find KF5 packages
 find_package(KF5Auth ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -106,7 +107,7 @@ find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
 
 configure_file(kalarm-version-string.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kalarm-version-string.h @ONLY)
 
-if (NOT APPLE)
+if (NOT APPLE AND WITH_X11)
     find_package(X11)
 endif()
 if (X11_FOUND)
-- 
2.33.1

